Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1547631

Summary: Review Request: nodejs-git-raw-commits - Get raw git commits out of your repository using git-log
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-26 10:22:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806    

Description Jared Smith 2018-02-21 16:18:58 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-git-raw-commits/nodejs-git-raw-commits.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-git-raw-commits/nodejs-git-raw-commits-1.2.0-1.fc27.src.rpm
Description: Get raw git commits out of your repository using git-log(1)
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2018-02-21 22:12:52 UTC
 - SPEC file and SRPM SPEC file are different, one refers to a Source2:

Source2:	LICENSE-MIT-stevemao.txt

   The other uses a patch to include the license:

Patch0:		git-raw-commits_license.patch

Ha now I see, you included the wrong SRPM, the correct one is:

https://jsmith.fedorapeople.org/Packaging/nodejs-git-raw-commits/nodejs-git-raw-commits-1.3.3-1.fc28.src.rpm

 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors

Package approved.

Comment 2 Jared Smith 2018-02-25 16:13:18 UTC
Repo requested at https://pagure.io/releng/fedora-scm-requests/issue/4724.

Comment 3 Gwyn Ciesla 2018-02-25 20:34:32 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-git-raw-commits

Comment 4 Jared Smith 2018-02-26 10:22:56 UTC
Built in Rawhide